=== libvnc/examples/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = backchannel.c blooptest.c camera.c colourmaptest.c example.c filetransfer.c fontsel.c mac.c pnmshow.c pnmshow24.c regiontest.c rotate.c simple.c simple15.c storepasswd.c vncev.c

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/LibVNCServer
pkglibdir = $(libdir)/LibVNCServer
pkgincludedir = $(includedir)/LibVNCServer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = example$(EXEEXT) pnmshow$(EXEEXT) \
	regiontest$(EXEEXT) pnmshow24$(EXEEXT) fontsel$(EXEEXT) \
	vncev$(EXEEXT) storepasswd$(EXEEXT) colourmaptest$(EXEEXT) \
	simple$(EXEEXT) simple15$(EXEEXT) $(am__EXEEXT_1) \
	$(am__EXEEXT_2) backchannel$(EXEEXT) $(am__EXEEXT_3) \
	camera$(EXEEXT) rotate$(EXEEXT)
subdir = examples
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/rfbconfig.h
CONFIG_CLEAN_FILES =
#am__EXEEXT_1 = mac$(EXEEXT)
am__EXEEXT_2 = filetransfer$(EXEEXT)
am__EXEEXT_3 = blooptest$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
backchannel_SOURCES = backchannel.c
backchannel_OBJECTS = backchannel.$(OBJEXT)
backchannel_LDADD = $(LDADD)
backchannel_DEPENDENCIES = ../libvncserver/libvncserver.la
blooptest_SOURCES = blooptest.c
blooptest_OBJECTS = blooptest.$(OBJEXT)
blooptest_LDADD = $(LDADD)
blooptest_DEPENDENCIES = ../libvncserver/libvncserver.la
camera_SOURCES = camera.c
camera_OBJECTS = camera.$(OBJEXT)
camera_LDADD = $(LDADD)
camera_DEPENDENCIES = ../libvncserver/libvncserver.la
colourmaptest_SOURCES = colourmaptest.c
colourmaptest_OBJECTS = colourmaptest.$(OBJEXT)
colourmaptest_LDADD = $(LDADD)
colourmaptest_DEPENDENCIES = ../libvncserver/libvncserver.la
example_SOURCES = example.c
example_OBJECTS = example.$(OBJEXT)
example_LDADD = $(LDADD)
example_DEPENDENCIES = ../libvncserver/libvncserver.la
filetransfer_SOURCES = filetransfer.c
filetransfer_OBJECTS = filetransfer.$(OBJEXT)
filetransfer_LDADD = $(LDADD)
filetransfer_DEPENDENCIES = ../libvncserver/libvncserver.la
fontsel_SOURCES = fontsel.c
fontsel_OBJECTS = fontsel.$(OBJEXT)
fontsel_LDADD = $(LDADD)
fontsel_DEPENDENCIES = ../libvncserver/libvncserver.la
mac_SOURCES = mac.c
mac_OBJECTS = mac.$(OBJEXT)
mac_LDADD = $(LDADD)
mac_DEPENDENCIES = ../libvncserver/libvncserver.la
pnmshow_SOURCES = pnmshow.c
pnmshow_OBJECTS = pnmshow.$(OBJEXT)
pnmshow_LDADD = $(LDADD)
pnmshow_DEPENDENCIES = ../libvncserver/libvncserver.la
pnmshow24_SOURCES = pnmshow24.c
pnmshow24_OBJECTS = pnmshow24.$(OBJEXT)
pnmshow24_LDADD = $(LDADD)
pnmshow24_DEPENDENCIES = ../libvncserver/libvncserver.la
regiontest_SOURCES = regiontest.c
regiontest_OBJECTS = regiontest.$(OBJEXT)
regiontest_LDADD = $(LDADD)
regiontest_DEPENDENCIES = ../libvncserver/libvncserver.la
rotate_SOURCES = rotate.c
rotate_OBJECTS = rotate.$(OBJEXT)
rotate_LDADD = $(LDADD)
rotate_DEPENDENCIES = ../libvncserver/libvncserver.la
simple_SOURCES = simple.c
simple_OBJECTS = simple.$(OBJEXT)
simple_LDADD = $(LDADD)
simple_DEPENDENCIES = ../libvncserver/libvncserver.la
simple15_SOURCES = simple15.c
simple15_OBJECTS = simple15.$(OBJEXT)
simple15_LDADD = $(LDADD)
simple15_DEPENDENCIES = ../libvncserver/libvncserver.la
storepasswd_SOURCES = storepasswd.c
storepasswd_OBJECTS = storepasswd.$(OBJEXT)
storepasswd_LDADD = $(LDADD)
storepasswd_DEPENDENCIES = ../libvncserver/libvncserver.la
vncev_SOURCES = vncev.c
vncev_OBJECTS = vncev.$(OBJEXT)
vncev_LDADD = $(LDADD)
vncev_DEPENDENCIES = ../libvncserver/libvncserver.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = backchannel.c blooptest.c camera.c colourmaptest.c example.c \
	filetransfer.c fontsel.c mac.c pnmshow.c pnmshow24.c \
	regiontest.c rotate.c simple.c simple15.c storepasswd.c \
	vncev.c
DIST_SOURCES = backchannel.c blooptest.c camera.c colourmaptest.c \
	example.c filetransfer.c fontsel.c mac.c pnmshow.c pnmshow24.c \
	regiontest.c rotate.c simple.c simple15.c storepasswd.c \
	vncev.c
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run tar
AR = /usr/bin/ar
AUTOCONF = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run autoconf
AUTOHEADER = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run autoheader
AUTOMAKE = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run automake-1.9
AVAHI_CFLAGS = 
AVAHI_LIBS = 
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CRYPT_LIBS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGIPC_FALSE = 
CYGIPC_TRUE = #
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
HAVE_LIBJPEG_FALSE = #
HAVE_LIBJPEG_TRUE = 
HAVE_LIBPTHREAD_FALSE = #
HAVE_LIBPTHREAD_TRUE = 
HAVE_LIBSDL_FALSE = 
HAVE_LIBSDL_TRUE = #
HAVE_LIBZ_FALSE = #
HAVE_LIBZ_TRUE = 
HAVE_MP3LAME_FALSE = 
HAVE_MP3LAME_TRUE = #
HAVE_RPM_FALSE = 
HAVE_RPM_TRUE = #
HAVE_SYSTEM_LIBVNCSERVER_FALSE = 
HAVE_SYSTEM_LIBVNCSERVER_TRUE = #
HAVE_X_FALSE = #
HAVE_X_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lnsl -lpthread -lz -ljpeg 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINUX_FALSE = #
LINUX_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/christian/dev/presencevnc/libvnc/missing --run makeinfo
MINGW_FALSE = 
MINGW_TRUE = #
OBJEXT = o
OSX_FALSE = 
OSX_TRUE = #
PACKAGE = LibVNCServer
PACKAGE_BUGREPORT = http://sourceforge.net/projects/libvncserver
PACKAGE_NAME = LibVNCServer
PACKAGE_STRING = LibVNCServer 0.9.7
PACKAGE_TARNAME = libvncserver
PACKAGE_VERSION = 0.9.7
PATH_SEPARATOR = :
RANLIB = ranlib
RPMSOURCEDIR = NOT-FOUND
SDL_CFLAGS = 
SDL_LIBS = 
SET_MAKE = 
SHELL = /bin/bash
SSL_LIBS = 
STRIP = strip
SYSTEM_LIBVNCSERVER_CFLAGS = 
SYSTEM_LIBVNCSERVER_LIBS = 
VERSION = 0.9.7
WITH_FFMPEG_FALSE = 
WITH_FFMPEG_TRUE = #
WITH_TIGHTVNC_FILETRANSFER_FALSE = #
WITH_TIGHTVNC_FILETRANSFER_TRUE = 
WITH_X11VNC_FALSE = 
WITH_X11VNC_TRUE = #
WSOCKLIB = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS = 
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/christian/dev/presencevnc/libvnc/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
with_ffmpeg = 
AM_CFLAGS = -I $(top_srcdir) -g -Wall
LDADD = ../libvncserver/libvncserver.la 
#MAC = mac
#mac_LDFLAGS = -framework ApplicationServices -framework Carbon -framework IOKit
FILETRANSFER = filetransfer
BLOOPTEST = blooptest
noinst_HEADERS = radon.h rotatetemplate.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
backchannel$(EXEEXT): $(backchannel_OBJECTS) $(backchannel_DEPENDENCIES) 
	@rm -f backchannel$(EXEEXT)
	$(LINK) $(backchannel_LDFLAGS) $(backchannel_OBJECTS) $(backchannel_LDADD) $(LIBS)
blooptest$(EXEEXT): $(blooptest_OBJECTS) $(blooptest_DEPENDENCIES) 
	@rm -f blooptest$(EXEEXT)
	$(LINK) $(blooptest_LDFLAGS) $(blooptest_OBJECTS) $(blooptest_LDADD) $(LIBS)
camera$(EXEEXT): $(camera_OBJECTS) $(camera_DEPENDENCIES) 
	@rm -f camera$(EXEEXT)
	$(LINK) $(camera_LDFLAGS) $(camera_OBJECTS) $(camera_LDADD) $(LIBS)
colourmaptest$(EXEEXT): $(colourmaptest_OBJECTS) $(colourmaptest_DEPENDENCIES) 
	@rm -f colourmaptest$(EXEEXT)
	$(LINK) $(colourmaptest_LDFLAGS) $(colourmaptest_OBJECTS) $(colourmaptest_LDADD) $(LIBS)
example$(EXEEXT): $(example_OBJECTS) $(example_DEPENDENCIES) 
	@rm -f example$(EXEEXT)
	$(LINK) $(example_LDFLAGS) $(example_OBJECTS) $(example_LDADD) $(LIBS)
filetransfer$(EXEEXT): $(filetransfer_OBJECTS) $(filetransfer_DEPENDENCIES) 
	@rm -f filetransfer$(EXEEXT)
	$(LINK) $(filetransfer_LDFLAGS) $(filetransfer_OBJECTS) $(filetransfer_LDADD) $(LIBS)
fontsel$(EXEEXT): $(fontsel_OBJECTS) $(fontsel_DEPENDENCIES) 
	@rm -f fontsel$(EXEEXT)
	$(LINK) $(fontsel_LDFLAGS) $(fontsel_OBJECTS) $(fontsel_LDADD) $(LIBS)
mac$(EXEEXT): $(mac_OBJECTS) $(mac_DEPENDENCIES) 
	@rm -f mac$(EXEEXT)
