=== debian/changelog ===
presencevnc (0.7) unstable; urgency=low

  * Doubleclick zoom slider for 100%
  * Added "Zoom to cursor" option (on by default)
  * Show current magnification when zooming

 -- Christian Pulvermacher <pulvermacher@gmx.de>  Thu, 28 Oct 2010 19:48:01 +0200
